hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Nick Dimiduk (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HBASE-13339) Update default Hadoop version to 2.6.0
Date Tue, 21 Apr 2015 21:45:59 GMT

    [ https://issues.apache.org/jira/browse/HBASE-13339?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14505839#comment-14505839
] 

Nick Dimiduk commented on HBASE-13339:
--------------------------------------

The generous [~kasha] has offered to spin a new Hadoop patch release on the 2.5 line containing
this fix. I won't ask him to do that if we decide it's healthier for 1.1.0 to move to 2.6
-- the ball is back in our court.

Strictly speaking, an upgrade *may* break our compatibility guidelines, though I don't think
anyone has done the legwork to assess the full impact of an update to 2.6. Upgrading also
allows us to get around the nastiness of HBASE-13149 / YARN-2092, which I don't think we have
a palatable solution for either.

ping [~jinghe], [~busbey], [~enis], [~apurtell], [~lhofhansl], [~stack] from the other thread.

> Update default Hadoop version to 2.6.0
> --------------------------------------
>
>                 Key: HBASE-13339
>                 URL: https://issues.apache.org/jira/browse/HBASE-13339
>             Project: HBase
>          Issue Type: Bug
>          Components: build
>    Affects Versions: 2.0.0, 1.1.0
>            Reporter: Elliott Clark
>            Assignee: Elliott Clark
>         Attachments: HBASE-13339-v1.patch, HBASE-13339.patch
>
>
> Current default Hadoop version is getting a little long in the tooth. We should update
to the latest version. The latest version is backwards compatible with 2.5.1's dfs and mr
so this should be painless.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message